<?php

namespace App\Models;

class Teacher extends Eloquent {

	protected $table = 'teachers';
	public $timestamps = true;
	protected $fillable = array('name', 'password', 'phone', 'address', 'profile_image', 'longitude', 'latitude', 'experince', 'qualification', 'cv', 'lesson_type');
	protected $hidden = array('password');

	public function Introductories()
	{
		return $this->hasMany('App\Models\Fileable', 'fileable');
	}

	public function subjects()
	{
		return $this->belongsToMany('App\Models\Subject', 'teacher_subject');
	}

	public function lessons()
	{
		return $this->hasMany('App\Models\Lesson');
	}

	public function lessonTimes()
	{
		return $this->belongsToMany('App\Models\LessonTime')->withPivot(['date','day']);
	}

	public function ratings()
	{
		return $this->belongsToMany('App\Models\Teacher', 'ratings');
	}

}